//-------Gray Wrinkle Texture
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//
#declare WrinkleGray =
texture {
  pigment { color red 0.45 green 0.4 blue 0.4 }
  finish {
    crand 0.03
    roughness 0.9
    ambient 0.3
    diffuse 0.7
    phong 0.5
    phong_size 10
  }
  normal {
    wrinkles 0.5
    scale 0.1
  }
}

//-------DarkGray Wrinkle Texture
#declare DGray =
texture { 
  pigment { color red 0.25 green 0.2 blue 0.2 }
  finish {
    crand 0.03
    roughness 0.9
    ambient 0.3
    diffuse 0.6
    phong 0.5
    phong_size 10
  }
  normal {
    wrinkles 0.5
    scale 0.1
  }
}

//-------Dark Red Cloth Texture
#declare BELL =
texture { 
  pigment {color red 0.44 green 0.0 blue 0.17 }
  finish {
    crand 0.05
    ambient 0.3
    diffuse 0.7
    phong 0.5
    phong_size 10
  }
  normal {
    wrinkles 0.25
    scale 0.1
  }
}

//-------Dark Red 
#declare Kidney =
texture { 
  pigment { color red 0.3 green 0.15 blue 0.15 }
  finish {
    ambient 0.25
    diffuse 0.7 
    phong 1.0
    phong_size 90
  }
}

//------- Mettalic Chrome
#declare  Chrome =
texture { 
  pigment { color red 0.84 green 0.84 blue 0.84 }
  finish {
    crand 0.03
    ambient 0.3
    diffuse 0.3
    roughness 0.9
    metallic
    brilliance 7.5
    reflection { 0.3 }
    phong 0.7
    phong_size 10
  }
  scale 0.1
}

//------- Mettalic Gold
#declare  GOLD =
texture { 
  pigment { color red 0.94 green 0.64 blue 0.20 }
  finish {
    crand 0.03
    ambient 0.3
    diffuse 0.3
    roughness 0.9
    metallic
    brilliance 7.5
    reflection { 0.3 }
    phong 0.7
    phong_size 10
  }
  scale 0.1
}

//------- Black Glass
#declare  BLACK_G = 
texture { 
  pigment { color DimGray }
  finish {
    ambient 0.3 
    diffuse 0.3 
    reflection { 0.3 }
    phong 2.0 
  }
}

//------- Glass
#declare  GLASS = 
texture { 
  pigment { color Clear }
  finish {
    ambient 0.1 
    diffuse 0.0  
//    refraction 1.0 
//    ior 1.0
  }
}

//------- Wood
#declare WOOD11 =
texture { 
  pigment {
    DMFWood4
    scale <5, 8, 3> 
    rotate 0
  }
  finish { 
    ambient 0.3 
    diffuse 0.7 
    phong 0.7 
    phong_size 60  
  }
}